Skip to navigation

Get Secret Manager status

Returns whether Secret Manager is enabled for the workspace, its namespace, state and Vault endpoint. Requires scope: secret-manager.read.

# Example request with curl (set IBEE_API_TOKEN to a platform API token and WORKSPACE_ID to the workspace first).
curl "https://api.ibee.ai/v1/secret-manager/workspace?workspace_id=$WORKSPACE_ID" \
-H "Authorization: Bearer $IBEE_API_TOKEN"

Authentication

AuthorizationBearer

IBEE platform API token. Production tokens start with ibee_prod_key_; development tokens start with ibee_dev_key_. Use a token only with its matching gateway environment.

Query parameters

workspace_idstringRequiredformat: "^[1-9][0-9]*$">=1 character

The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

Response

Success.
organization_idstring
workspace_idstring
namespacestring
statestring
desired_statestring
versioninteger
max_versionsinteger
site_codestring or nullOptional
endpointstring or nullOptional
activationobject or nullOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
413
Content Too Large Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error